## xdoclet.modules.jboss.web
Class JBossWebTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.AbstractProgramElementTagsHandler
                  xdoclet.tagshandler.ClassTagsHandler
                      xdoclet.modules.jboss.web.JBossWebTagsHandler

public class JBossWebTagsHandler
extends ClassTagsHandler

Version:
  $Revision: 1.5 $
Author:
  Marcus Brito (pazu@animegaiden.com.br)
xdoclet.taghandler
  namespace="JBossWeb"
created
  September 08, 2002

Field Summary

Fields inherited from class xdoclet.tagshandler.ClassTagsHandler
`dateFormatter, now`

Fields inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`currentToken, matchPattern, tagTokenizer`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`JBossWebTagsHandler()`

Method Summary
`void` `forAllDepends(String template)`
`void` `forAllEjbRefs(String template)` Iterates over all \@jboss.ejb-ref-jndi tags.
`void` `forAllLocalRefs(String template)` Iterates over all \@jboss.ejb-local-ref tags.
`void` `forAllResourceEnvRefs(String template)`
`void` `forAllResourceRefs(String template)` Iterates over all \@jboss.resource-ref tags.

Methods inherited from class xdoclet.tagshandler.ClassTagsHandler

`classComment, classCommentTags, classCommentText, className, classOf, classTagValue, classTagValueMatch, firstSentenceDescription, forAllClasses, forAllClassTags, forAllClassTagTokens, forAllDistinctClassTags, forAllDistinctClassTags, fullClassName, fullSuperclassName, fullTransformedClassName, getClassNameFor, getFullClassNameFor, ifClassTagValueEquals, ifClassTagValueMatches, ifClassTagValueNotEquals, ifDoesntHaveClassTag, ifHasClassTag, ifIsClassAbstract, ifIsClassNotAbstract, importedList, modifiers, pushClass, symbolicClassName, transformedClassName`

Methods inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`checkForWrap, currentToken, exceptionList, firstSentenceDescriptionOfCurrentMember, forAllMembers, forAllMemberTags, forAllMemberTagTokens, getAllClasses, getFullSuperclassNameFor, getIndentChars, getXExecutableMemberForMemberName, getXExecutableMemberForMemberName, hasExecutableMember_OLD, hasExecutableMember, makeCopyOfArray, matchValue, memberComment, setMatchValue, skipToken`

Methods inherited from class xdoclet.XDocletTagSupport

`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossWebTagsHandler

    public JBossWebTagsHandler()

Method Detail

### forAllResourceRefs

    public void forAllResourceRefs(String template)
                            throws XDocletException

  Iterates over all \@jboss.resource-ref tags.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException` - if something goes wrong

### forAllEjbRefs

    public void forAllEjbRefs(String template)
                       throws XDocletException

  Iterates over all \@jboss.ejb-ref-jndi tags.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException` - if something goes wrong

### forAllLocalRefs

    public void forAllLocalRefs(String template)
                         throws XDocletException

  Iterates over all \@jboss.ejb-local-ref tags.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException` - if something goes wrong

### forAllResourceEnvRefs

    public void forAllResourceEnvRefs(String template)
                               throws XDocletException

  Throws:
    `XDocletException`

### forAllDepends

    public void forAllDepends(String template)
                       throws XDocletException

  Throws:
    `XDocletException`

http://xdoclet.sourceforge.net/